export declare type CompileTemplateProjectParam = {
    npmRegistry: string;
    templateName?: string;
    templateToCopyPath: string;
    projectPath: string;
    megaScriptConfigPath?: string;
    demoProjectOutputPath?: string;
    ignoreDemoProjectFolders?: string[];
    isRemoveTemporaryFiles?: boolean;
    sourceWidgetsPath?: string;
    templateProjectRootPath?: string;
    cwd?: string;
    entryFile?: string;
    extraBabelIncludes?: string[] | RegExp[];
    alias?: AliasType;
    extraBabelPlugins?: ExtraBabelPluginsType[];
    publicPath?: string;
};
export declare type PackageInfoType = {
    name: string;
    version?: string;
};
export declare type InstallSinglePackageParam = {
    projectPath: string;
    packageInfo: PackageInfoType;
    registry?: string;
};
export declare type MetaInfoType = {
    widgetName: string;
    title: string;
    desc: string;
    props: {
        [key: string]: any;
    };
    events: {
        [key: string]: any;
    };
    type: {
        [key: string]: any[];
    };
    category: string[];
    theme: {
        [key: string]: any;
    };
    defaultTheme: {
        [key: string]: any;
    };
    childrenWidget?: string[];
    floderName?: string;
};
export declare type ConfigInfoType = {
    [key: string]: {
        title: string;
        desc: string;
    };
};
export declare type CategoryDataType = {
    text: string;
    category: string;
    describe: boolean;
    children?: CategoryChildrenType[];
};
export declare type CategoryChildrenType = {
    widgetName: string;
    sort: number;
    floderName?: string;
    value: string;
    text: string;
};
export declare type Category2WidgetNamesType = {
    [key: string]: MetaInfoType[];
};
export declare type SearchDataType = {
    url: string;
    type: string;
    owner: string;
    content: string;
    power: number;
};
export declare type PageInfoType = {
    title: string;
    subTitle: string;
    desc: string;
};
export declare type GetDemoPageContentParam = {
    demoNames: string[];
    config: ConfigInfoType;
    folderName: string;
    pageInfo: PageInfoType;
    childrenWidget: string[];
};
export declare type AliasType = {
    [key: string]: string;
};
declare type PluginsOptionType = {
    [key: string]: string;
};
export declare type ExtraBabelPluginsType = [string, PluginsOptionType, string];
export declare type BuildResultType = {
    code: number;
    message?: string;
};
export {};
